Skip to main content

Type Processing Successful

Description

Notification about a PROCESSING_SUCCESSFUL event.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
CONDITIONAL

Brand ID

brandId (string) is provided when $.locationDetails.brandId is present.

Example Response Bodies

Example One

Partner resources are successfully processed. The following notifications are generated.

Notification ForProcess Initiated by
Partner (un-delegated)Partner (un-delegated)
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654985",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_SUCCESSFUL",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654960",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654957",
"etag": "32ed96de-7e79-11ee-b962-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
},
{
"orgId": "9467895078742654994",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "PROCESSING_SUCCESSFUL",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654950",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654948",
"etag": "b88387d3-7e5d-11ee-95ea-e6d01fc9d8c6",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=2&after=8U54a61d9b495324"
}
}
Example Two

Location owner resources are successfully processed. Location owner has delegated the location's brand to a partner. The following notification is generated.

Notification ForProcess Initiated by
Location owner and delegated partnerLocation owner
  • Location owner calls the notification API using their own orgId as the URI parameter, along with their access token, to retrieve the notification.
  • Delegated partner calls the notification API using the organization's orgId as the URI parameter, along with their own access token, to retrieve the same notification.
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654904",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_SUCCESSFUL",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654933",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654939",
"etag": "c2b424d8-7e7c-11ee-b962-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "1C44a61d9b495276"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=1C44a61d9b495276"
}
}
Example Three

Similar to scenario two, but in reverse order. A delegated partner resource create request is successfully processed. The following notification is generated.

Notification ForProcess Initiated by
Organization and delegated partnerDelegated partner
  • Organization calls the notifications web service using their own orgId as the URI parameter, along with their access token, to retrieve the notification.
  • Delegated partner calls the notifications web service using the organization's orgId as the URI parameter, along with their own access token, to retrieve the same notification.
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_SUCCESSFUL",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654973",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654509",
"etag": "f114c30e-7e7d-11ee-b962-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "4D22a61d9b495037"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=4D22a61d9b495037"
}
}